---
title: onMessage
sidebar_label: onMessage
id: version-1.x-onMessage
original_id: onMessage
---

The [`clone`](clone), [`fetch`](fetch), [`push`](push), and [`pull`](pull) commands all accept an `onMessage` callback.

Message events are for messages generated by the remote server and sent during `fetch` and `push` requests.
They are particularly useful if the remote server has custom git-hooks that print to the console.

## Usage Example:

You are writing a console application, and you want to simply print any server messages to standard out.

```js
const git = require('isomorphic-git')
git.clone({
  ...,
  onMessage: console.log
})
```
